aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Tartavel <contact@librepc.com>2018-12-28 09:42:54 +0100
committerDaniel Tartavel <contact@librepc.com>2018-12-28 09:42:54 +0100
commita22918ebab3b8786bcf4215333486433b7478f02 (patch)
treebd372e65679b88ca158854eb730c84e6ad905def
parentb58cefc85d8035d0018c576aafcbb50c151bc2f6 (diff)
downloadmageia4arm-a22918ebab3b8786bcf4215333486433b7478f02.tar
mageia4arm-a22918ebab3b8786bcf4215333486433b7478f02.tar.gz
mageia4arm-a22918ebab3b8786bcf4215333486433b7478f02.tar.bz2
mageia4arm-a22918ebab3b8786bcf4215333486433b7478f02.tar.xz
mageia4arm-a22918ebab3b8786bcf4215333486433b7478f02.zip
Corrected a regression on extlinux.conf
-rwxr-xr-xcreate_arm_img_urpmi.sh44
-rw-r--r--rpi/extlinux.conf16
-rw-r--r--xu4/mageia4arm.cfg3
-rw-r--r--xu4/second_stage_install.sh4
4 files changed, 39 insertions, 28 deletions
diff --git a/create_arm_img_urpmi.sh b/create_arm_img_urpmi.sh
index 184ea9b..5fcae93 100755
--- a/create_arm_img_urpmi.sh
+++ b/create_arm_img_urpmi.sh
@@ -514,6 +514,11 @@ copyingsystem()
UUID=$BOOT_UUID /mnt/rpi_boot vfat defaults 0 0
UUID=$ROOT_UUID / ext4 defaults 0 0" > "$BUILD_PATH"/etc/fstab
+info "making /boot/extlinux/extlinux.conf"
+mkdir -p "$BUILD_PATH/boot/extlinux"
+sed -e s/\<UUID\>/$ROOT_UUID/g $SOURCE_PATH/$CONFIG_PATH/extlinux.conf >"$BUILD_PATH/boot/extlinux/extlinux.conf"
+KERNEL_ID=`basename $BUILD_PATH/usr/lib/linux-*`
+sed -i -e s/\<FDTDIR\>/$KERNEL_ID/g "$BUILD_PATH/boot/extlinux/extlinux.conf"
case $TARGET in
rpi)
@@ -534,11 +539,6 @@ brcmfmac" >> "$BUILD_PATH"/etc/modules
/bin/cp -a "$SOURCE_PATH/$CONFIG_PATH/modprobe.conf" "$BUILD_PATH/etc/"
chown root:root "$BUILD_PATH/etc/modprobe.conf"
- info "making /boot/extlinux/extlinux.conf"
- mkdir -p "$BUILD_PATH/boot/extlinux"
- sed -e s/\<UUID\>/$ROOT_UUID/g $SOURCE_PATH/$CONFIG_PATH/extlinux.conf >"$BUILD_PATH/boot/extlinux/extlinux.conf"
- KERNEL_ID=`basename $BUILD_PATH/usr/lib/linux-*`
- sed -i -e s/\<FDTDIR\>/$KERNEL_ID/g "$BUILD_PATH/boot/extlinux/extlinux.conf"
info "copying firmware, overlays in rpi boot partition"
# cp -a "$BUILD_PATH/usr/lib/linux-"* "$BOOT/dtb"
cp -av "$FIRMWARE_PATH/$FIRMWARE_DIR/boot/start"* "$RPI_BOOT/"
@@ -584,22 +584,32 @@ brcmfmac" >> "$BUILD_PATH"/etc/modules
exit 1
fi
fi
- info "copying tools in /usr/local/bin/"
- /bin/cp -a "$SOURCE_PATH/tools/" "$BUILD_PATH/usr/local/bin/"
-# /bin/cp -a "$SOURCE_PATH/rpi/sed_extlinux.conf.sh" "$BUILD_PATH/usr/local/bin/"
- if ! [ $? -eq 0 ];then
- error "line $LINENO error copying tools"
- ERRORN=$((ERRORN++))
- fi
-# info "copying "
+
+ info "copying Mageia image to root partition"
+ /bin/rsync -a --exclude "$RPI_BOOT/" --exclude "qemu-arm-static*" "$BUILD_PATH/" "$ROOT/"
+ /bin/rsync -a "$RPI_BOOT/" "$BOOT/"
;;
- ODROID)
+ odroid)
+ ODROID_BOOT="$BUILD_PATH/mnt/odroid_boot"
+ if ! [ -d "$ODROID_BOOT" ];then
+ mkdir -p "$ODROID_BOOT"
+ fi
+ info "Copying extlinux.conf on $ODROID_BOOT"
+ cp -R "$BUILD_PATH/boot/extlinux" "$ODROID_BOOT/"
+ info "copying u-boot to $ODROID_BOOT for $TARGET $TARGET_VERSION"
+ cp "$BUILD_PATH/usr/lib/u-boot/$TARGET-$TARGET_VERSION/u-boot.bin" "$ODROID_BOOT/"
+ info "copying Mageia image to root partition"
+ /bin/rsync -a --exclude "$ODROID_BOOT/" --exclude "qemu-arm-static*" "$BUILD_PATH/" "$ROOT/"
+ /bin/rsync -a "$ODROID_BOOT/" "$BOOT/"
;;
esac
- info "copying Mageia image to root partition"
- /bin/rsync -a --exclude "$RPI_BOOT/" --exclude "qemu-arm-static*" "$BUILD_PATH/" "$ROOT/"
- /bin/rsync -a "$RPI_BOOT/" "$BOOT/"
+ info "copying tools in /usr/local/bin/"
+ /bin/cp -a "$SOURCE_PATH/tools/" "$BUILD_PATH/usr/local/bin/"
+ if ! [ $? -eq 0 ];then
+ error "line $LINENO error copying tools"
+ ERRORN=$((ERRORN++))
+ fi
# /bin/mkdir "$ROOT/boot"
copyingcommon
diff --git a/rpi/extlinux.conf b/rpi/extlinux.conf
index c188815..91a46a2 100644
--- a/rpi/extlinux.conf
+++ b/rpi/extlinux.conf
@@ -1,10 +1,10 @@
-# File generated by DrakX/drakboot
-default linux
+menu Welcome to Mageia-Minimal.
timeout 20
-menu title Boot Menu
+default Mageia
+
+label Mageia
+ kernel /boot/vmlinuz
+ append root=UUID=<UUID> dwc_otg.lpm_enable=0 console=ttyS0,115200 kgdboc=ttyS0,115200 console=tty1 rootwait fsck.repair=1 8250.nr_uarts=1 elevator=deadline cma=256M\@512M audit=0
+ fdtdir /usr/lib/<FDTDIR>
+ initrd /boot/initrd
-label linux
- kernel /boot/vmlinuz
- initrd /boot/initrd.img
- fdtdir /usr/lib/linux-4.19.12-desktop-2.mga7
- append root=UUID=f9fdc05d-2cc9-42d8-a8dc-2f79ff008045 console=tty1 elevator=deadline cma=256M@512M audit=0 fsck.repair=1
diff --git a/xu4/mageia4arm.cfg b/xu4/mageia4arm.cfg
index 178b1fa..adb98cd 100644
--- a/xu4/mageia4arm.cfg
+++ b/xu4/mageia4arm.cfg
@@ -17,7 +17,8 @@
MAGEIA_VERSION="cauldron"
ARM_VERSION="armv7hl"
-TARGET="xu4"
+TARGET="odroid"
+TARGET_VERSION="xu4"
# URL of the Mageia mirror used to install ( see mirrors.mageia.org )
MIRROR="http://ftp.free.fr/mirrors/mageia.org/distrib/$MAGEIA_VERSION/$ARM_VERSION"
diff --git a/xu4/second_stage_install.sh b/xu4/second_stage_install.sh
index 0ca646a..9fc451c 100644
--- a/xu4/second_stage_install.sh
+++ b/xu4/second_stage_install.sh
@@ -22,8 +22,8 @@
#Install all packages you need
-/usr/sbin/urpmi --auto --no-verify-rpm /root/kernel-odroid-4.14.y-1.armv7hl.rpm basesystem chrony rng-tools man openssh-server rfkill wireless-tools bluez wpa_supplicant make dracut u-boot-tools rsync
-#/usr/sbin/urpmi --urpmi-root "$BUILD_PATH" --ignorearch --no-verify-rpm --auto --split-level 200 --split-length 200
+/usr/sbin/urpmi --auto --no-verify-rpm /root/kernel-odroid-4.14.y-1.armv7hl.rpm basesystem chrony rng-tools man openssh-server rfkill wireless-tools bluez wpa_supplicant make dracut u-boot-tools rsync kernel-desktop-latest
+#/usr/sbin/urpmi --urpmi-root "$BUILD_PATH" --ignorearch --no-verify-rpm --auto --split-level 200 --split-length 200
/usr/bin/chown :chrony -R /etc/chrony.keys /var/log/chrony
/usr/bin/chown :daemon /etc/wpa_supplicant.conf